Bug 1870782 - CatalogSource generate 2 pods and keep restarting
Summary: CatalogSource generate 2 pods and keep restarting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.z
Assignee: Ankita Thomas
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1853601
Blocks: 1870784
TreeView+ depends on / blocked
 
Reported: 2020-08-20 17:46 UTC by Ankita Thomas
Modified: 2020-09-21 17:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1853601
: 1870784 (view as bug list)
Environment:
Last Closed: 2020-09-21 17:42:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1734 None closed [release-4.5] Bug 1870782: Retry conflicting catalog source pod update after fetching latest pod spec 2020-09-16 14:20:30 UTC
Red Hat Bugzilla 1853601 None None None 2020-08-20 17:48:39 UTC
Red Hat Product Errata RHBA-2020:3719 None None None 2020-09-21 17:42:21 UTC

Internal Links: 1870784

Comment 2 Kevin Rizza 2020-08-20 19:07:42 UTC
Waiting on 4.6 verification and backport. Marking for upcoming sprint.

Comment 3 Evan Cordell 2020-09-11 13:11:30 UTC
The PR is cherry-pick-approved and working its way through tests. It should merge this sprint, but if it doesn't it will be early next sprint.

Comment 5 Jian Zhang 2020-09-14 07:53:43 UTC
Cluster version is 4.5.0-0.nightly-2020-09-12-063044, which contains the fixed PR.
[root@preserve-olm-env data]# oc -n openshift-operator-lifecycle-manager exec catalog-operator-6468cf8fb-z7gm7 -- olm --version
OLM version: 0.15.1
git commit: 4bcba8c2bae16ccb6cdf010028cedfae2c5e2d75

1, Create a CatalogSource CR that consume the index image.
[root@preserve-olm-env data]# cat cs-win.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: wmco
  namespace: openshift-marketplace
spec:
  displayName: Windows operators
  sourceType: grpc
  image: quay.io/sgaoshang/wmco-index:1.0.0
  updateStrategy:
    registryPoll:
      interval: 20m
[root@preserve-olm-env data]# oc create -f cs-win.yaml 
catalogsource.operators.coreos.com/wmco created

One pod generated, no restrat.
[root@preserve-olm-env data]# oc get pods
NAME                                    READY   STATUS    RESTARTS   AGE
...
wmco-bhfcp                              1/1     Running   0          85s

2, After a while, only the update checking pod restart. The current serving pod doesn't restart. LGTM, verify it.
[root@preserve-olm-env data]# oc get pods
NAME                                    READY   STATUS    RESTARTS   AGE
...
wmco-4kt95                              1/1     Running   0          45m
wmco-gh9bs                              1/1     Running   0          35s

Comment 8 errata-xmlrpc 2020-09-21 17:42:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3719


Note You need to log in before you can comment on or make changes to this bug.